<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_LocationInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/basicinfo/Dt_LocationInfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'locationID',
            footer: "Foots",
            cnName: '货位信息',
            name: 'basicinfo/Dt_LocationInfo',
            url: "/LocationInfo/",
            sortName: "LocationID"
        });
        const editFormFields = ref({ "status": "", "scNo": "", "roadWayNO": "", "locationCode": "", "wareAreaCode": "" });
        const editFormOptions = ref([
            [
                { "title": "货位编号", "field": "locationCode", type: "text" },
                { "title": "货位状态", "field": "status", "type": "select", dataKey: "LocationState", data: [] },
                { "title": "对应堆垛机号", "field": "scNo", type: "text" },
                { "title": "巷道编号", "field": "roadWayNO", type: "text" },

            ], [
                { "title": "库区编号", "field": "wareAreaCode", type: "text" },
            ]
        ]);
        const searchFormFields = ref({ "LocationID": "" });
        const searchFormOptions = ref([
            [
                { "title": "货位编号", "field": "locationCode", type: "text" },
                { "title": "货位状态", "field": "locationStatus", "type": "select", dataKey: "LocationState", data: [] },
                { "title": "对应堆垛机号", "field": "sCNo", type: "text" },
                { "title": "巷道编号", "field": "roadWayNO", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'locationID', title: '货位ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'locationCode', title: '货位编号', type: 'string', width: 110, require: true, align: 'left' },
        { field: 'locationName', title: '货位名称', type: 'string', width: 120, align: 'left' },
        { field: 'roadWayNO', title: '巷道号', type: 'string', width: 110, require: true, align: 'left', sort: true },
        { field: 'row', title: '行', type: 'string', width: 70, align: 'left' },
        { field: 'column', title: '列', type: 'string', width: 70, align: 'left' },
        { field: 'layer', title: '层', type: 'string', width: 110, align: 'left' },
        { field: 'depth', title: '深度', type: 'string', width: 110, align: 'left' },
        { field: 'scNo', title: '对应堆垛机号', type: 'string', width: 110, align: 'left' },
        { field: 'locationType', title: '货位类型', type: 'int', width: 110, align: 'left' },
        { field: 'locationStatus', title: '货位状态', type: 'int', width: 110, align: 'left', bind: { key: "LocationState", data: [] } },
        { field: 'isLocked', title: '是否锁定', type: 'bool', width: 110, align: 'left' , bind: { key: "IsLocked", data: [] } },
        { field: 'locationDesc', title: '货位描述', type: 'string', width: 110, align: 'left' },
        { field: 'remark', title: '备注', type: 'string', width: 110, align: 'left' },
        { field: 'wareAreaCode', title: '库区编号', type: 'string', width: 110, align: 'left', hidden: true },
        { field: 'roadway', title: '巷道', type: 'string', width: 110, align: 'left', hidden: true },
        { field: 'sClocationID', title: '堆垛机对应货位站台号', type: 'string', width: 110, align: 'left', hidden: true },
        { field: 'isDelete', title: '是否删除', type: 'bool', width: 110, align: 'left', hidden: true },
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'spare1', title: 'Spare1', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare2', title: 'Spare2', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare3', title: 'Spare3', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare4', title: 'Spare4', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare5', title: 'Spare5', type: 'string', sort: true, width: 110, hidden: true, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
